<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>All Accounts - Auto Repairs</title>

	<!-- Bootstrap -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
	<!-- Bootstrap Icons -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css">

</head>

<body>
	<!--
		----------------------------------------------------------------------------
		Nav bar
		----------------------------------------------------------------------------
	-->
	<header>
		<nav class="navbar navbar-expand-sm navbar-light bg-light">
			<div class="container-fluid">
				<a class="navbar-brand" href="../index.html">Auto Repairs</a>
				<!-- Responsive navbar expander for narrow viewports -->
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse"
					data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
					aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<ul class="navbar-nav me-auto mb-2 mb-lg-0">
						<li class="nav-item">
							<a class="nav-link active" aria-current="page" href="../index.html">Home</a>
						</li>
						<li class="nav-item" id="login-nav-item">
							<a class="nav-link" href="../accounts/login.html">Log In</a>
						</li>
						<li class="nav-item" id="create-account-nav-item">
							<a class="nav-link" href="../accounts/create-account.html">Create Account</a>
						</li>
						<li class="nav-item" id="repairs-nav-item" hidden>
							<!-- link to a page for viewing repairs. Admins get a different endpoint for now -->
							<a class="nav-link" id="repairs-nav-item-link" href="#">Repairs</a>
						</li>
						<li class="nav-item" id="create-repair-nav-item" hidden>
							<a class="nav-link" href="../repairs/create-repair.html">Create Repair</a>
						</li>
						<li class="nav-item" id="account-nav-item" hidden>
							<!-- page to view and edit accounts -->
							<a class="nav-link" href="../accounts/update-account.html">Account</a>
						</li>
						<li class="nav-item" id="all-accounts-nav-item" hidden>
							<a class="nav-link" href="../accounts/accounts.html">All Accounts</a>
						</li>
						<li class="nav-item" id="logout-nav-item" hidden>
							<a class="nav-link" href="#">Log Out</a>
						</li>
					</ul>
				</div>
				<!-- navbar links -->
			</div>
		</nav>
	</header>
	<!--
		----------------------------------------------------------------------------
		Main body
		----------------------------------------------------------------------------
	-->

	<main>

		<div class="container-md table-responsive">
			<table id="account-table" class="table table-hover align-middle" hidden>
				<caption>All accounts in the system</caption>
				<thead>
					<th scope="col">First Name</th>
					<th scope="col">Last Name</th>
					<th scope="col">Email</th>
					<th scope="col">User Role</th>
					<th scope="col"></th>
				</thead>
				<tbody id="account-table-body">
					<!-- Body is filled in by accounts.js -->
				</tbody>
			</table>
		</div>

		<!--
            Delete confirmation modal for deleting an account
        -->

		<div class="modal fade" id="delete-confirmation-modal" tabindex="-1"
			aria-labelledby="delete-confirmation-modal-label" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title" id="delete-confirmation-modal-label">Are you sure you want to delete
							this user?</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
					</div>
					<div class="modal-body">
						<div class="container col-md-12">
							<label for="delete-modal-first-name" class="col-form-label">First name:</label>
							<p id="delete-modal-first-name"></p>
							<label for="delete-modal-last-name" class="col-form-label">Last Name:</label>
							<p id="delete-modal-last-name"></p>
							<label for="delete-modal-email" class="col-form-label">Email:</label>
							<p id="delete-modal-email"></p>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
						<button type="button" class="btn btn-danger" id="delete-modal-button">Delete</button>
					</div>
				</div>
			</div>
		</div>

		<!--
            updating a user's account modal
        -->

		<div class="modal fade" id="update-account-modal" tabindex="-1" aria-labelledby="update-account-modal-label"
			aria-hidden="true">
			<div class="modal-dialog modal-dialog-scrollable">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title" id="update-account-modal-label">Update Account Details</h5>
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
					</div>
					<div class="modal-body">
						<form id="update-account-form">
							<input type="hidden" id="update-account-form-id">
							<!-- Find a better solution. Like patch updates -->
							<input type="hidden" id="update-account-form-password">
							<div class="mb-3">
								<label for="update-account-form-first-name" class="col-form-label">First Name:</label>
								<input type="text" class="form-control" id="update-account-form-first-name"
									onblur="automaticValidation(this)" required>
								<div class="invalid-feedback">
									Please enter customers first name
								</div>
							</div>
							<div class="mb-3">
								<label for="update-account-form-last-name" class="col-form-label">Last Name:</label>
								<input type="text" class="form-control" id="update-account-form-last-name"
									onblur="automaticValidation(this)" required>
								<div class="invalid-feedback">
									Please enter customers last name
								</div>
							</div>
							<div class="mb-3">
								<label for="update-account-form-email" class="col-form-label">Last Name:</label>
								<input type="email" class="form-control" id="update-account-form-email"
									onblur="automaticValidation(this)" required>
								<div class="invalid-feedback">
									Please enter customers email
								</div>
							</div>
							<div class="mb-3">
								<label for="update-account-form-role" class="col-form-label">User Role:</label>
								<select class="form-select" id="update-account-form-role"
									onblur="automaticValidation(this)" required>
									<option value="CUSTOMER">Customer</option>
									<option value="ADMIN">Admin</option>
								</select>
								<div class="invalid-feedback">
									Please select a user role for this account
								</div>
							</div>
						</form>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
						<button type="submit" form="update-account-form" class="btn btn-primary">Update</button>
					</div>
				</div>
			</div>
		</div>
	</main>


	<!-- JS imports -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
		crossorigin="anonymous"></script>
	<script src="../js/server-requests.js"></script>
	<script src="../js/nav-bar.js"></script>
	<script src="./accounts.js"></script>
</body>

</html>